package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.knowledge.album.entity.consts.AlbumConst;
import com.redxun.knowledge.album.entity.dao.AlbumYelpApprove;
import com.redxun.knowledge.album.entity.dto.AlbumApprovalRemarkDto;
import com.redxun.knowledge.album.service.AlbumYelpApproveServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/album/yelp/approve")
@Api(tags = "业务--专辑点评审批表")
@ClassDefine(title = "业务--专辑点评审批表", alias = "AlbumYelpApproveController", path = "/api-knowledge/album/yelp/approve", packages = "album", packageName = "子系统名称")
public class AlbumYelpApproveController extends BaseController<AlbumYelpApprove> {

    @Autowired
    AlbumYelpApproveServiceImpl albumYelpApproveService;


    @Override
    public BaseService getBaseService() {
        return albumYelpApproveService;
    }

    @Override
    public String getComment() {
        return "业务--专辑点评审批表";
    }

    @ApiOperation("对知识专辑点评进行审核")
    @PostMapping
    public JsonResult approve(@RequestBody AlbumApprovalRemarkDto albumApprovalRemarkDto) {
        JsonResult jsonResult = JsonResult.getSuccessResult("");
        Integer result = albumYelpApproveService.approve(albumApprovalRemarkDto);
        if (result == 1) {
            return jsonResult.setMessage(AlbumConst.APPROVAL_FAIL);
        } else if (result == 2) {
            return jsonResult.setMessage(AlbumConst.APPROVAL_FAIL_AUTHORITY);
        } else {
            return jsonResult.setMessage(AlbumConst.APPROVAL_SUCCESS);
        }
    }

}

