package com.redxun.knowledge.album.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <pre>
 *
 * 描述：业务--专辑审核流程节点表实体类定义
 * 表:KM_ALBUM_APPROVAL_NODE
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-31 10:07:08
 * 版权：
 * </pre>
 */


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ALBUM_APPROVAL_NODE")
public class AlbumApprovalNode extends BaseExtEntity<String> {

    @JsonCreator
    public AlbumApprovalNode() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    //节点名称
    @TableField(value = "NAME")
    private String name;
    //审批人ID;人员或者组织架构ID
    @TableField(value = "APPROVER_ID")
    private String approverId;
    //审批人名称;可以是人员或者组织架构名称
    @TableField(value = "APPROVER_NAME")
    private String approverName;
    //是否最终审核节点;最终审核节点：0-不是 1-是  取值1为唯一记录，不能修改
    @TableField(value = "IS_FINAL")
    private Integer isFinal;
    //删除标记;删除状态：0-正常 1-删除
    @TableLogic
    @TableField(value = "IS_DEL")
    private Integer isDel;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



