package com.redxun.knowledge.album.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <pre>
 *
 * 描述：业务--专辑版本目录表实体类定义
 * 表:KM_ALBUM_CATALOGUE
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-31 10:07:08
 * 版权：
 * </pre>
 */


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ALBUM_CATALOGUE")
public class AlbumCatalogue extends BaseExtEntity<String> {

    @JsonCreator
    public AlbumCatalogue() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    //专辑ID
    @TableField(value = "ALBUM_ID")
    private String albumId;
    //专辑版本ID
    @TableField(value = "VERSION_ID")
    private String versionId;
    //目录名称
    @TableField(value = "NAME")
    private String name;
    //排序
    @TableField(value = "SORT")
    private Integer sort;
    //删除标记;删除状态：0-正常 1-删除
    @TableLogic
    @TableField(value = "IS_DEL")
    private Integer isDel;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



