package com.redxun.knowledge.album.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <pre>
 *
 * 描述：业务--专辑分类表实体类定义
 * 表:KM_ALBUM_CATEGORY
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-31 10:07:08
 * 版权：
 * </pre>
 */


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ALBUM_CATEGORY")
public class AlbumCategory extends BaseExtEntity<String> {

    @JsonCreator
    public AlbumCategory() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.INPUT)
    private String pkId;

    //上级分类
    @TableField(value = "PARENT")
    private String parent;
    //分类名称
    @TableField(value = "NAME")
    private String name;
    //GRADE
    @TableField(value = "GRADE")
    private Long grade;
    //SORT
    @TableField(value = "SORT")
    private Integer sort;
    //IS_DEL
    @TableLogic
    @TableField(value = "IS_DEL")
    private Integer isDel;

    @TableField(exist = false)
    private boolean hasChild;


    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



